%undefine __libtoolize
%define with_split 1
%define replace_font 1

Name: trackballs
Version: 0.6.0
Release: alt1

Group: Games/Arcade
Summary: Trackballs - A Marble Madness-like game
License: GPL
Url: http://www.lysator.liu.se/~mbrx/trackballs

%if %with_split
Requires: %name-music = %version-%release
Requires: %name-game = %version-%release
%else
Provides: %name-music = %version-%release
Obsoletes: %name-music
Provides: %name-game = %version-%release
Obsoletes: %name-game
%endif

Source0: %name-%version.tar.bz2
Source1: guile-1.6.3.tar.bz2
%if %replace_font
Source2: trackballs-font-a010015l.ttf
%endif
Source10: tb_genesis.ogg
Source11: tb_design.ogg
Patch0: trackballs-0.5.1-mandir.patch

# Automatically added by buildreq on Mon Feb 10 2003
#BuildRequires: ImageMagick XFree86-devel XFree86-libs aalib esound freetype2 gcc-c++ glibc-devel-static guile libGLU-devel libSDL-devel libSDL_image-devel libSDL_mixer-devel libSDL_ttf-devel libalsa2 libarts libaudiofile libjpeg liblcms libncurses-devel libogg libreadline-devel libslang libsmpeg libstdc++-devel libtiff libvorbis zlib-devel

BuildRequires: ImageMagick XFree86-devel XFree86-libs aalib esound
BuildRequires: freetype2 gcc-c++ glibc-devel-static guile libGLU-devel
BuildRequires: libSDL-devel libSDL_image-devel libSDL_mixer-devel libSDL_ttf-devel
BuildRequires: libalsa2 libarts libaudiofile libjpeg liblcms libncurses-devel libogg
BuildRequires: libreadline-devel libslang libsmpeg libstdc++-devel libtiff libvorbis zlib-devel

%description
Trackballs is a simple game similar to the
classical game Marble Madness, on the Amiga,
in the 80's. By steering a marble ball through
a labyrinth filled with vicious hammers, pools
of acid and other obstacles the player collects
points.

When the ball reaches the destination you continue
on the next, more difficult, level - unless, of
course, the time runs out.

You steer the ball using the mouse and by pressing
>spacebar< you can jump a short distance.

When all levels are finished, an editor mode permits
to create new ones ("trackballs -e").
The documentation.html page explains how.
Be sure your keyboard layout is set to "us" for all
keys to work.

%package game
Group: Games/Arcade
Summary: Trackballs - A Marble Madness-like game
Conflicts: %name < %version-%release

%description game
Trackballs is a simple game similar to the
classical game Marble Madness, on the Amiga,
in the 80's. By steering a marble ball through
a labyrinth filled with vicious hammers, pools
of acid and other obstacles the player collects
points.

When the ball reaches the destination you continue
on the next, more difficult, level - unless, of
course, the time runs out.

You steer the ball using the mouse and by pressing
>spacebar< you can jump a short distance.

When all levels are finished, an editor mode permits
to create new ones ("trackballs -e").
The documentation.html page explains how.
Be sure your keyboard layout is set to "us" for all
keys to work.

If you want music in this game, you must install
%name-music package

%package music
Group: Sound
Summary: In-game music for Trackballs - A Marble Madness-like game
Conflicts: %name < %version-%release

%description music
Some great music to listen to while playing Trackballs.

%prep
%setup -q
%patch0 -p1
tar xfj %SOURCE1

%build
pushd guile*
CFLAGS="%optflags" \
./configure \
    --build=%_arch-alt-linux \
    --host=%_arch-alt-linux \
    --prefix=%prefix \
    --datadir=%_gamesdatadir/%name \
    --disable-shared \
    --enable-static \
    --disable-libtool-lock
%make_build
%make DESTDIR=%_builddir/%name-%version/GUILE install
rm -f %_builddir/%name-%version/GUILE/%_libdir/*.so*
popd

PATH=%_builddir/%name-%version/GUILE/%_bindir:$PATH
CFLAGS="-lcrypt -I%_builddir/%name-%version/GUILE/%_includedir -L/usr/X11R6/lib -L%_builddir/%name-%version/GUILE/%_libdir" \
%configure \
    --bindir=%_gamesbindir \
    --datadir=%_gamesdatadir \
    --program-transform-name=""
%make_build

[ -f share/icons/%name-16x16.png ] || \
    convert -size 16x16 share/icons/%name-32x32.png share/icons/%name-16x16.png


%install
install -d %buildroot/%_man1dir
%makeinstall bindir=%buildroot/%_gamesbindir datadir=%buildroot/%_gamesdatadir install

cp -ar %_builddir/%name-%version/GUILE/%_gamesdatadir/%name/guile %buildroot/%_gamesdatadir/%name

%if %replace_font
rm -f %buildroot/%_gamesdatadir/%name/fonts/menuFont.ttf
install -m 0644 %SOURCE2 %buildroot/%_gamesdatadir/%name/fonts/menuFont.ttf
%endif

install -d %buildroot/%_localstatedir/%name
mv %buildroot/%_gamesdatadir/%name/highScores %buildroot/%_localstatedir/%name
ln -s ../../../../%_localstatedir/%name/highScores %buildroot/%_gamesdatadir/%name/highScores

install -m 0644 %SOURCE10 %buildroot/%_gamesdatadir/trackballs/music/
install -m 0644 %SOURCE11 %buildroot/%_gamesdatadir/trackballs/music/

# install icons & menu-entry
install -d %buildroot/%_miconsdir
install -d %buildroot/%_liconsdir
install -c -m644 share/icons/%name-16x16.png %buildroot/%_miconsdir/%name.png
install -c -m644 share/icons/%name-32x32.png %buildroot/%_iconsdir/%name.png
install -c -m644 share/icons/%name-48x48.png %buildroot/%_liconsdir/%name.png

install -d %buildroot/%_menudir
cat <<EOF > %buildroot/%_menudir/%name
?package(trackballs):  needs="X11" \
    section=Amusement/Arcade \
    title="Trackballs" \
    longtitle="Marble Madness type game" \
    command="trackballs" \
    icon="trackballs"
EOF

%if %with_split
%post game
%else
%post
%endif
%update_menus

%if %with_split
%postun game
%else
%postun
%endif
%clean_menus



%files

%if %with_split
%files game
%endif

%doc AUTHORS ChangeLog FAQ NEWS README TODO README.html
%doc %_man1dir/*
%attr(2711,root,games) %_gamesbindir/%name
%_gamesdatadir/%name
%exclude %_gamesdatadir/trackballs/music/*.ogg
%config(noreplace) %attr(0660,root,games) %_localstatedir/%name/highScores
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png
%_menudir/%name

%if %with_split
%files music
%endif

%_gamesdatadir/trackballs/music/*.ogg


%changelog
* Tue Feb 18 2003 Sergey V Turchin <zerg@altlinux.ru> 0.6.0-alt1
- new version

* Mon Feb 10 2003 Sergey V Turchin <zerg@altlinux.ru> 0.5.1-alt1
- new version

* Sat Feb 08 2003 ZerG <zerg@altlinux.ru> 0.5.0-alt1
- cleaunup spec
- build for ALT

* Thu Feb 6 2003 Guillaume Bedot <guillaume.bedot@wanadoo.fr> 0.5.0-1mdk
- Upgraded to 0.5.0. Changed Copyright. Separated game & music.

* Wed Feb 5 2003 Guillaume Bedot <guillaume.bedot@wanadoo.fr> 0.4.1-2mdk
- Moved to /usr/games, added icons, fixed rights for directories (new levels can be created),
              build requires fixes, build with macros, french description.

* Sun Feb 2 2003 Guillaume Bedot <guillaume.bedot@wanadoo.fr> 0.4.1-1mdk
- First Mandrake package for Trackballs

